Bug 206885 - GnomeBaker fails to start - GThread error
GnomeBaker fails to start - GThread error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnomebaker (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 14:37 EDT by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.0-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 12:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-09-17 14:37:31 EDT
Description of problem:
GnomeBaker will not start. It gives me the following error message when I
attempt to run it from a console:

[peter@tuxhugger ~]$ gnomebaker 
GTK Accessibility Module initialized

GThread-ERROR **: GThread system may only be initialized once.
aborting...
Aborted

The GDB backtrace doesn't give much more than that either, unfortunately:
(gdb) run
Starting program: /usr/bin/gnomebaker 
[Thread debugging using libthread_db enabled]
[New Thread -1208494384 (LWP 30370)]
GTK Accessibility Module initialized

GThread-ERROR **: GThread system may only be initialized once.
aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208494384 (LWP 30370)]
0xb7fa5402 in __kernel_vsyscall ()


Version-Release number of selected component (if applicable):
gnomebaker-0.5.1-5.fc6


How reproducible:
Always


Steps to Reproduce:
1. Install gnomebaker 0.5.1-5.fc6
2. Attempt to run it
  
Actual results:
GnomeBaker aborts immediately.

Expected results:
It should open the application. :)

Additional info:
This is on my Fedora Development workstation at home, up-to-date as of this morning.
Comment 1 Brian Pepple 2006-09-18 12:06:02 EDT
Are you experiencing this problem with the latest release (0.6.0)? 
Comment 2 Peter Gordon 2006-09-18 12:14:33 EDT
Brian, I just updated to 0.6.0 this morning and am no longer experiencing this
issue. Thanks!

Note You need to log in before you can comment on or make changes to this bug.